%global momorel 2

Name:           perl-Plack
Version:        0.9944
Release:        %{momorel}m%{?dist}
Summary:        PSGI reference implementation and utilities
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Plack/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Plack-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.8.1
BuildRequires:  perl-Authen-Simple-Passwd
BuildRequires:  perl-Class-Accessor
BuildRequires:  perl-CGI-Emulate-PSGI >= 0.07
BuildRequires:  perl-Devel-StackTrace
BuildRequires:  perl-Devel-StackTrace-AsHTML >= 0.09
BuildRequires:  perl-Devel-StackTrace-WithLexicals
BuildRequires:  perl-ExtUtils-MakeMaker >= 6.11
BuildRequires:  perl-FCGI >= 0.67
BuildRequires:  perl-FCGI-Client >= 0.03
BuildRequires:  perl-File-ShareDir >= 1.00
BuildRequires:  perl-Filesys-Notify-Simple
BuildRequires:  perl-Hash-MultiValue >= 0.05
BuildRequires:  perl-HTTP-Body >= 1.06
BuildRequires:  perl-HTTP-Parser-XS >= 0.04
BuildRequires:  perl-HTTP-Server-Simple-PSGI
BuildRequires:  perl-Log-Dispatch-Array
BuildRequires:  perl-MIME-Types
BuildRequires:  perl-Net-FastCGI
BuildRequires:  perl-Parallel-Prefork
BuildRequires:  perl-Path-Class
BuildRequires:  perl-Pod-Parser
BuildRequires:  perl-Sys-Sendfile >= 0.09
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Requires
BuildRequires:  perl-Test-Simple >= 0.88
BuildRequires:  perl-Test-TCP >= 0.11
BuildRequires:  perl-Try-Tiny
BuildRequires:  perl-URI >= 1.36
BuildRequires:  perl-libwww-perl >= 5.814
BuildRequires:  perl-parent
Requires:       perl-Authen-Simple-Passwd
Requires:       perl-Class-Accessor
Requires:       perl-CGI-Emulate-PSGI >= 0.07
Requires:       perl-Devel-StackTrace
Requires:       perl-Devel-StackTrace-AsHTML >= 0.09
Requires:       perl-Devel-StackTrace-WithLexicals
Requires:       perl-FCGI >= 0.67
Requires:       perl-FCGI-Client >= 0.03
Requires:       perl-File-ShareDir >= 1.00
Requires:       perl-Filesys-Notify-Simple
Requires:       perl-Hash-MultiValue >= 0.05
Requires:       perl-HTTP-Body >= 1.06
Requires:       perl-HTTP-Parser-XS >= 0.04
Requires:       perl-HTTP-Server-Simple-PSGI
Requires:       perl-Log-Dispatch-Array
Requires:       perl-MIME-Types
Requires:       perl-Net-FastCGI
Requires:       perl-Parallel-Prefork
Requires:       perl-Path-Class
Requires:       perl-Pod-Parser
Requires:       perl-Sys-Sendfile >= 0.09
Requires:       perl-Test-Exception
Requires:       perl-Test-Requires
Requires:       perl-Test-Simple >= 0.88
Requires:       perl-Test-TCP >= 0.11
Requires:       perl-Try-Tiny
Requires:       perl-URI >= 1.36
Requires:       perl-libwww-perl >= 5.814
Requires:       perl-parent
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Plack is a set of PSGI reference server implementations and helper
utilities for Web application frameworks, exactly like Ruby's Rack.

%prep
%setup -q -n Plack-%{version}

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Apache::Request)/d'

EOF
%define __perl_requires %{_builddir}/Plack-%{version}/%{name}-req
chmod +x %{name}-req

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
rm -rf %{buildroot}/blib

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
TEST_FCGI_CLIENT=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{_bindir}/plackup
%{perl_vendorlib}/HTTP/Message
%{perl_vendorlib}/HTTP/Server/PSGI.pm
%{perl_vendorlib}/Plack.pm
%{perl_vendorlib}/Plack
%{perl_vendorlib}/auto/share/dist/Plack
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9944-2m)
- full rebuild for mo7 release

* Mon Aug  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9944-1m)
- update to 0.9944

* Sat Jul 31 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9943-1m)
- update to 0.9943

* Sat Jul 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9942-1m)
- update to 0.9942

* Fri Jul  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9941-1m)
- update to 0.9941

* Sat Jul  3 2010 NARITA Koichi <puldar@momonga-linux.org>
- (0.9940-1m)
- update to 0.9940

* Sat Jul  3 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9939-1m)
- update to 0.9939

* Mon May 24 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9938-1m)
- update to 0.9938

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9937-2m)
- rebuild against perl-5.12.1

* Sat May 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9937-1m)
- update to 0.9937

* Sat May 15 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9936-1m)
- update to 0.9936

* Thu May  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9935-1m)
- update to 0.9935

* Wed May  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9934-1m)
- update to 0.9934

* Wed Apr 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9933-1m)
- update to 0.9933

* Mon Apr 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9932-1m)
- update to 0.9932

* Sun Apr 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9931-1m)
- update to 0.9931

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9929-2m)
- rebuild against perl-5.12.0

* Fri Apr  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9929-1m)
- update to 0.9929

* Tue Mar 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9927-1m)
- update to 0.9927

* Sun Mar 21 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9920-1m)
- update to 0.9920

* Sat Mar 13 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9916-1m)
- update to 0.9916

* Tue Mar  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9915-1m)
- update to 0.9915

* Sat Mar  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9914-1m)
- update to 0.9914

* Sun Feb 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9913-1m)
- update to 0.9913

* Tue Jan 12 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9031-1m)
- update to 0.9031

* Sun Jan 10 2010 NARITA Koichi <pulsar@momonga-liuxx.org>
- (0.9030-1m)
- update to 0.9030

* Sat Jan  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9029-1m)
- update to 0.9029

* Wed Jan  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9028-1m)
- update to 0.9028

* Tue Jan  5 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9027-1m)
- update to 0.9027

* Fri Jan  1 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9026-1m)
- update to 0.9026

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9025-1m)
- update to 0.9025

* Sat Dec 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9024-1m)
- update to 0.9024

* Wed Dec  2 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9017-1m)
- update to 0.9017

* Sat Nov 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9015-1m)
- update to 0.9015

* Wed Nov 25 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9014-1m)
- update to 0.9014

* Sat Nov 21 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9013-1m)
- update to 0.9013

* Thu Nov 19 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9012-1m)
- update to 0.9012

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9008-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Oct 28 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9008-1m)
- update to 0.9008

* Mon Oct 26 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9007-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
